---
current_realm_name: "{{ gitea_oidc_realm }}"

current_realm_clients:
  - name: "{{ gitea_oidc_client_id }}"
    base_url: ""
    clientId: "{{ gitea_oidc_client_id }}"
    admin_url: "{{ shared_service_kube_url_gitea }}"
    root_url: "{{ shared_service_kube_url_gitea }}"
    redirect_uris:
      - "{{ shared_service_kube_url_gitea }}/*"
    secret: "{{ gitea_oidc_client_secret }}"
    web_origins:
      - "{{ shared_service_kube_url_gitea }}/"

current_realm_users:
  - username: "{{ gitea_oidc_admin_username }}"
    password: "{{ gitea_oidc_admin_password }}"
    email: "{{ gitea_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

current_realm_admin_users:
  - username: "gitea-realm-admin"
    password: "{{ infrastructure_realm_admin_password_vault }}"
    email: "{{ gitea_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

keycloak_force_prune: true
